Scroll to navigation

CONVERT-LY(1) User Commands CONVERT-LY(1)

NAME

convert-ly - manual page for convert-ly 2.22.1

SYNOPSIS

convert-ly [OPTION]... FILE

DESCRIPTION

Update LilyPond input to newer version. By default, update from the version taken from the \version command, to the current LilyPond version. If FILE is `-', read from standard input.

OPTIONS

show version number and exit
show this help and exit
start from VERSION [default: \version found in file]
edit in place
Print log messages according to LOGLEVEL (NONE, ERROR, WARNING, PROGRESS (default), DEBUG)
do not add \version command if missing
force updating \version number to 2.22.1
only update \version number if file is modified
show rules [default: -f 0, -t 2.22.1]
convert to VERSION [default: 2.22.1]
make a numbered backup [default: filename.ext~]
show warranty and copyright

EXAMPLES

$ convert-ly -e old.ly
$ convert-ly --from=2.3.28 --to=2.5.21 foobar.ly > foobar-new.ly

REPORTING BUGS

Report bugs via bug-lilypond@gnu.org

SEE ALSO

The full documentation for convert-ly is maintained as a Texinfo manual. If the info and convert-ly programs are properly installed at your site, the command

info convert-ly

should give you access to the complete manual.

September 2021 convert-ly 2.22.1